Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.owl_rdf
Class Renderer

    java.lang.Object
      |
      +--org.semanticweb.owl.io.owl_rdf.Renderer

All Implemented Interfaces:
  Options, Renderer, RenderingConstants

public class Renderer
extends Object
implements Renderer, RenderingConstants

Produces OWL/RDF Syntax from a given ontology

Field Summary
`protected Set` | `allURIs`
`protected Map` | `known`
`protected String[]` | `names`
`protected OWLOntology` | `ontology`
`protected PrintWriter` | `pw`
`protected int` | `reservedNames`
`protected List` | `shortNames`
`protected RenderingVisitor` | `visitor`

Fields inherited from interface org.semanticweb.owl.io.owl_rdf.RenderingConstants
`INDENT`

Constructor Summary
`Renderer()`

Method Summary
`protected void` | `generateShortNames()`
`Map` | `getOptions()` Get options for the object.
`static void` | `main(String[] args)`
`protected SortedSet` | `orderedEntities(Set entities)`
`protected void` | `renderAnnotations(OWLOntology ontology, OWLNamedObject object)` Render the annotations for an object
`protected void` | `renderClass(OWLOntology ontology, OWLClass clazz)`
`protected void` | `renderClassAxiom(OWLClassAxiom axiom)`
`protected void` | `renderDataProperty(OWLOntology ontology, OWLDataProperty prop)`
`protected void` | `renderIndividual(OWLOntology ontology, OWLIndividual ind)`
`protected void` | `renderObjectProperty(OWLOntology ontology, OWLObjectProperty prop)`
`void` | `renderOntology(OWLOntology ontology, Writer writer)` Render the given ontology onto the writer using an appropriate concrete representation
`protected void` | `renderPropertyAxiom(OWLPropertyAxiom axiom)` Method renderPropertyAxiom.
`void` | `setOptions(Map map)` Set options for the object.
`String` | `shortForm(URI uri)`
`protected void` | `writeExtensions()` This method allows us to extend the renderer and add extra information.
`protected void` | `writeFooter()` Method writeFooter.
`protected void` | `writeHeader()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ontology

    protected OWLOntology ontology

### pw

    protected PrintWriter pw

### allURIs

    protected Set allURIs

### shortNames

    protected List shortNames

### known

    protected Map known

### reservedNames

    protected int reservedNames

### visitor

    protected RenderingVisitor visitor

### names

    protected String[] names

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### setOptions

    public void setOptions(Map map)

  Description copied from interface: `Options`
  Set options for the object.

  Specified by:
    `setOptions` in interface `Options`
  Parameters:
    `map` - a `Map` value. Should contain a map from `String`s to `Object`s.

### getOptions

    public Map getOptions()

  Description copied from interface: `Options`
  Get options for the object.

  Specified by:
    `getOptions` in interface `Options`
  Returns:
    a `Map` value. Contains a map from `String`s to `Object`s.

### renderOntology

    public void renderOntology(OWLOntology ontology,
                               Writer writer)
                        throws RendererException

  Description copied from interface: `Renderer`
  Render the given ontology onto the writer using an appropriate concrete representation

  Specified by:
    `renderOntology` in interface `Renderer`
    `RendererException`

### writeExtensions

    protected void writeExtensions()
                            throws OWLException

  This method allows us to extend the renderer and add extra information.

    `OWLException`

### renderPropertyAxiom

    protected void renderPropertyAxiom(OWLPropertyAxiom axiom)
                                throws OWLException

  Method renderPropertyAxiom.

    `OWLException`

### writeFooter

    protected void writeFooter()

  Method writeFooter.

### renderClass

    protected void renderClass(OWLOntology ontology,
                               OWLClass clazz)
                        throws OWLException

    `OWLException`

### renderIndividual

    protected void renderIndividual(OWLOntology ontology,
                                    OWLIndividual ind)
                             throws OWLException

    `OWLException`

### renderObjectProperty

    protected void renderObjectProperty(OWLOntology ontology,
                                        OWLObjectProperty prop)
                                 throws OWLException

    `OWLException`

### renderDataProperty

    protected void renderDataProperty(OWLOntology ontology,
                                      OWLDataProperty prop)
                               throws OWLException

    `OWLException`

### renderAnnotations

    protected void renderAnnotations(OWLOntology ontology,
                                     OWLNamedObject object)
                              throws OWLException

  Render the annotations for an object

    `OWLException`

### renderClassAxiom

    protected void renderClassAxiom(OWLClassAxiom axiom)
                             throws OWLException

    `OWLException`

### generateShortNames

    protected void generateShortNames()

### writeHeader

    protected void writeHeader()

### shortForm

    public String shortForm(URI uri)

### orderedEntities

    protected SortedSet orderedEntities(Set entities)

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb